package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class RoomTypeTree extends TreeBase implements IRoomTypeTree
{
    public RoomTypeTree()
    {
        super();
        registerInterface(IRoomTypeTree.class, this);
    }
    public RoomTypeTree(Context ctx)
    {
        super(ctx);
        registerInterface(IRoomTypeTree.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("76DBD754");
    }
    private RoomTypeTreeController getController() throws BOSException
    {
        return (RoomTypeTreeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public RoomTypeTreeInfo getRoomTypeTreeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeTreeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public RoomTypeTreeInfo getRoomTypeTreeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeTreeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public RoomTypeTreeInfo getRoomTypeTreeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeTreeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public RoomTypeTreeCollection getRoomTypeTreeCollection() throws BOSException
    {
        try {
            return getController().getRoomTypeTreeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public RoomTypeTreeCollection getRoomTypeTreeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRoomTypeTreeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public RoomTypeTreeCollection getRoomTypeTreeCollection(String oql) throws BOSException
    {
        try {
            return getController().getRoomTypeTreeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}